Summary: RNGD based on CPU Jitter RNG
Name: jitterentropy-rngd
Version: 1.0.3
Release: 2%{?dist}
License: GPLv3
Url: http://www.chronox.de/jent.html
Source: http://www.chronox.de/jent/%{name}-%{version}.tar.xz
Group: Applications/Internet

BuildRequires: systemd-units
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
The CPU Jitter Random Number Generator provides a non-physical true
random number generator that works equally in kernel and user land. The
only prerequisite is the availability of a high-resolution timer that
is available in modern CPUs.

Upon starting as a service, it will block until it has written 256 bytes
of entropy (which happens almost immediately)

A whitepaper is available at:
http://www.chronox.de/jent/doc/CPU-Jitter-NPTRNG.pdf

%prep
%setup -q 

%build
# Build must be done with -O0 - so ignore buildin make falgs
make

%install
install -p -D -m 0755 jitterentropy-rngd %{buildroot}%{_sbindir}/jitterentropy-rngd
install -d 0755 %{buildroot}%{_unitdir}
install -m 0644 jitterentropy.service %{buildroot}%{_unitdir}/jitterentropy-rngd.service

%files 
%doc README.md CHANGES
%{_sbindir}/jitterentropy-rngd
%{_unitdir}/jitterentropy-rngd.service

%preun
%systemd_preun jitterentropy-rngd.service

%post
%systemd_post jitterentropy-rngd.service

%postun
%systemd_postun_with_restart jitterentropy-rngd.service

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Sep 21 2016 Paul Wouters <pwouters@redhat.com> - 1.0.3-1
- Initial package

* Tue Apr 26 2016 Paul wouters <pwouters@redhat.com> - 1.7.3.1-1
- Update to 1.7.3.1 (#1186301)
